device_type: "qemu"

job_name: "tuxrun@qemu-armv7: kselftest-vDSO"
priority: "medium"
visibility: "public"

context:
    arch: "arm"
    machine: "virt,gic-version=3"
    cpu: "cortex-a15"
    memory: "4G"
    extra_options: ["-no-reboot", "-smp 2"]
    no_kvm: true
    no_network: true
timeouts:
  job:
    minutes: 50
  action:
   minutes: 5
  actions:
    power-off:
      seconds: 30

actions:
- deploy:
    to: tmpfs
    timeout:
      minutes: 15
    os: oe
    images:
      kernel:
        image_arg: '-kernel {kernel} -append "console=ttyAMA0,115200 rootwait root=/dev/vda debug verbose console_msg_format=syslog systemd.log_level=warning rw earlycon"'
        url: "file:///home/anders/.cache/tuxmake/builds/73/zImage"
      rootfs:
        image_arg: "-drive file={rootfs},format=raw,id=hd0,if=virtio"
        url: "file:///home/anders/.cache/tuxrun/assets/https___storage.tuxboot.com_debian_trixie_armhf_rootfs.ext4.xz"
        compression: xz
        format: ext4
        overlays:
          lava: true
          kselftest:
            url: "/kselftest.tar.xz"
            format: tar
            compression: xz
            path: "/opt/kselftests/default-in-kernel/"
          modules:
            url: "file:///home/anders/.cache/tuxmake/builds/73/modules.tar.xz"
            format: tar
            compression: xz
            path: "/usr/"
- boot:
    method: qemu
    timeout:
      minutes: 30
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'
- test:
    timeout:
      minutes: 5
    definitions:
    - repository: file:///home/anders/.cache/tuxrun/assets/https___storage.tuxboot.com_test-definitions_2024.12.tar.zst
      lava-signal: kmsg
      from: url
      compression: zstd
      path: automated/linux/kselftest/kselftest.yaml
      parameters:
        TST_CMDFILES: "vDSO"
        KSELFTEST_PATH: "/opt/kselftests/default-in-kernel"
        SKIPFILE: "skipfile-lkft.yaml"
        ENVIRONMENT: "production"
        SHARD_NUMBER: 1
        SHARD_INDEX: 1
      name: kselftest-vDSO
